Set the sender allowlist and send/reply/read access rules for an inbox owned by the authenticated organization.
curl --request PUT \
--url https://api.case.dev/mail/v1/inboxes/{inboxId}/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enforceSenderAllowlist": true,
"allowedSenderPatterns": [
"<string>"
],
"readAccessRules": [
"<string>"
],
"replyAccessRules": [
"<string>"
],
"sendAccessRules": [
"<string>"
]
}
'Documentation Index
Fetch the complete documentation index at: https://docs.case.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key starting with sk_case_
Exact emails, @domain rules, or *
Rules like organization, operator, user:, api_key, api_key:, clerk_session, or *
Rules like organization, operator, user:, api_key, api_key:, clerk_session, or *
Rules like organization, user:, api_key, api_key:, clerk_session, or *
Inbox policy updated successfully
Was this page helpful?
curl --request PUT \
--url https://api.case.dev/mail/v1/inboxes/{inboxId}/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enforceSenderAllowlist": true,
"allowedSenderPatterns": [
"<string>"
],
"readAccessRules": [
"<string>"
],
"replyAccessRules": [
"<string>"
],
"sendAccessRules": [
"<string>"
]
}
'